/* ColWindow.cpp
	Copyright (C) 1996-99, Seth Flaxman (seth@abisoft.com)
	Permission to use, copy, modify, and distribute this software for any
	purpose without fee is hereby granted, provided that this entire notice
	is included in all copies of any software which is or includes a copy
	or modification of this software and in all copies of the supporting
	documentation for such software.
	THIS SOFTWARE IS BEING PROVIDED "AS IS", WITHOUT ANY EXPRESS OR IMPLIED
	WARRANTY.  IN PARTICULAR, THE AUTHOR DOES NOT MAKE ANY
	REPRESENTATION OR WARRANTY OF ANY KIND CONCERNING THE MERCHANTABILITY
	OF THIS SOFTWARE OR ITS FITNESS FOR ANY PARTICULAR PURPOSE.
*/

#include <Window.h>
#include "ColWindow.h"
#include "ColView.h"
#include <FindDirectory.h>
#include <Path.h>
#include <Application.h>
#include <Directory.h>
#include <File.h>


ColWindow::ColWindow(
		BRect frame,
		const char *title,
		window_type type,
		ulong flags,
		ulong workspace
	) : BWindow(frame, title, type, flags, workspace)
{
	ReadFrameRect();
	frame = Frame();
	frame.OffsetTo(B_ORIGIN);
	view = new ColView(frame, "Colors");
	AddChild(view);
	Show();
}	


bool ColWindow::QuitRequested()
{
	view->QuitRequested();
	WriteFrameRect();
	
	be_app->PostMessage(B_QUIT_REQUESTED);
	return true;
}

void ColWindow::WriteFrameRect()
{
	BPath path;
	
	find_directory(B_USER_SETTINGS_DIRECTORY, &path, true);
	
	BDirectory dir(path.Path());
	BFile file;
	
	path.Append("ColorWorldSettings");
	dir.CreateFile(path.Path(), &file);
	
	BRect frame = Frame();
	
	file.WriteAttr("Frame", B_RECT_TYPE, 0, 
		&frame, sizeof(BRect));
}

void ColWindow::ReadFrameRect()
{
	BPath path;
	
	find_directory(B_USER_SETTINGS_DIRECTORY, &path, true);
	
	BDirectory dir(path.Path());
	BFile file;
	
	path.Append("ColorWorldSettings");
	dir.CreateFile(path.Path(), &file);
	
	BRect frame;
	
	if(file.ReadAttr("Frame", B_RECT_TYPE, 0, &frame, sizeof(BRect)) != sizeof(BRect))
		return;
		
	ResizeTo(frame.Width(), frame.Height());
	MoveTo(frame.LeftTop());
}
