/* ColorWorld.cpp
	Copyright (C) 1997-99, Seth Flaxman (seth@abisoft.com)
	Permission to use, copy, modify, and distribute this software for any
	purpose without fee is hereby granted, provided that this entire notice
	is included in all copies of any software which is or includes a copy
	or modification of this software and in all copies of the supporting
	documentation for such software.
	THIS SOFTWARE IS BEING PROVIDED "AS IS", WITHOUT ANY EXPRESS OR IMPLIED
	WARRANTY.  IN PARTICULAR, THE AUTHOR DOES NOT MAKE ANY
	REPRESENTATION OR WARRANTY OF ANY KIND CONCERNING THE MERCHANTABILITY
	OF THIS SOFTWARE OR ITS FITNESS FOR ANY PARTICULAR PURPOSE.
*/
   
#include "ColWindow.h"
#include <Screen.h>
#include "ColorWorld.h"

const char *signature = "application/x-vnd.abisoft-ColorWorld";

main()
{	
	ColorWorld myApplication(signature);

	myApplication.Run();

	return(0);
}
ColorWorld::ColorWorld(const char *sig)
		  		  : BApplication(sig)
{
	ColWindow		*aWindow;
	BRect			aRect;

	// set up a rectangle and instantiate a new window
	BRect screenFrame = BScreen().Frame();
	// allow for different resolutions
	float width = screenFrame.Width() * 0.5; 
	float height = screenFrame.Height() * 0.2;
	aRect.Set(width * 0.5, height * 2.0, width * 1.5, height * 3.0);
	
	aRect.right = int32(aRect.right);
	aRect.bottom = int32(aRect.bottom);
	
	aWindow = new ColWindow(aRect, "ColorWorld",
					B_TITLED_WINDOW, B_WILL_ACCEPT_FIRST_CLICK); 
			
	// make window visible
	aWindow->Show();
}